Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5925 - Bad spec file - cannot be built except on alpha
Summary: Bad spec file - cannot be built except on alpha
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anonftp
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-13 22:34 UTC by andrewem
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-27 18:45:20 UTC


Attachments (Terms of Use)

Description andrewem 1999-10-13 22:34:03 UTC
Basically the RPM cannot be built on any platform except
alpha because it uses %define for library versioning, and
puts these inside %ifarch conditionals.

A quote from Jeff Johnson from the rpm-list on this very
topic...

Jeff Johnson wrote:
> I think what's happening is that you have
>
>         %ifos Linux
>         %define myvariable      a Linux value
>         %else
>         %define myvariable      a non-Linux value
>         %endif
>
> which isn't going to work since macro definitions are
currently entirely
> context free. That means that %define will be parsed and
recognized in
> comments, inside quotes, in the false branch of %if
clauses, everywhere.

Comment 1 Bill Nottingham 1999-10-13 22:41:59 UTC
Hmm... true. That RPM was built before RPM started doing that.


Note You need to log in before you can comment on or make changes to this bug.